#
# spec file for package NetworkManager-iodine
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2012 Malcolm J Lewis <malcolmlewis@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           NetworkManager-iodine
Version:        1.2.0
Release:        lp150.2.1
Summary:        NetworkManager VPN support for iodine
License:        GPL-2.0-or-later
Group:          Productivity/Networking/System
URL:            https://honk.sigxcpu.org/piki/projects/network-manager-iodine/
Source0:        http://download.gnome.org/sources/NetworkManager-iodine/1.2/%{name}-%{version}.tar.xz
BuildRequires:  intltool
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(NetworkManager) >= 1.1.0
BuildRequires:  pkgconfig(gtk+-3.0) >= 2.91.4
BuildRequires:  pkgconfig(libnm) >= 1.1.0
BuildRequires:  pkgconfig(libnm-glib) >= 1.1.0
BuildRequires:  pkgconfig(libnm-glib-vpn) >= 1.1.0
BuildRequires:  pkgconfig(libnm-gtk) >= 0.9.9.0
BuildRequires:  pkgconfig(libnm-util) >= 1.1.0
BuildRequires:  pkgconfig(libnma) >= 1.1.0
BuildRequires:  pkgconfig(libsecret-1)
Requires:       NetworkManager >= 1.1.0
Requires:       iodine >= 0.6.0rc1
Recommends:     %{name}-lang
Supplements:    packageand(NetworkManager:iodine)

%description
A network manager VPN plugin that allows you to tunnel your connection
through a DNS tunnel. This can be useful if internet access is
firewalled but DNS traffic is still allowed.

%package gnome
Summary:        NetworkManager VPN support for iodine
Group:          Productivity/Networking/System
Requires:       %{name} = %{version}-%{release}
Requires:       NetworkManager-gnome
Supplements:    packageand(NetworkManager-gnome:iodine)

%description gnome
A network manager VPN plugin that allows you to tunnel your connection
through a DNS tunnel. This can be useful if internet access is
firewalled but DNS traffic is still allowed.

%lang_package

%prep
%setup -q

%build
%configure --disable-static \
           --disable-more-warnings
make %{?_smp_mflags}

%install
%make_install
%find_lang %{name} %{?no_lang_C}
find %{buildroot} -type f -name "*.la" -delete -print

%files
%license COPYING
%doc AUTHORS NEWS
%{_libdir}/NetworkManager/libnm-vpn-plugin-iodine.so
%dir %{_libexecdir}/NetworkManager
%dir %{_libexecdir}/NetworkManager/VPN
%{_libexecdir}/NetworkManager/VPN/nm-iodine-service.name
%{_libexecdir}/nm-iodine-service
%config %{_sysconfdir}/NetworkManager/VPN/nm-iodine-service.name
%config %{_sysconfdir}/dbus-1/system.d/nm-iodine-service.conf

%files gnome
%{_datadir}/appdata/network-manager-iodine.appdata.xml
%{_datadir}/gnome-vpn-properties/
%{_libdir}/NetworkManager/libnm-iodine-properties.so
%{_libexecdir}/nm-iodine-auth-dialog

%files lang -f %{name}.lang

%changelog
* Wed Feb 28 2018 dimstar@opensuse.org
- Modernize spec-file by calling spec-cleaner
* Mon Aug 29 2016 dimstar@opensuse.org
- Update to version 1.2.0:
  + Add appdata file.
  + build: don't include the full path to a plugin by default.
- Changes from version 1.1.0:
  + Port to libnm.
  + Updated translations.
- Add pkgconfig(libnm), pkgconfig(libnma), pkgconfig(libnm-util),
  pkgconfig(libnm-glib) and pkgconfig(libnm-glib-vpn)
  BuildRequires: new dependencies.
* Sun Oct 12 2014 dimstar@opensuse.org
- Update to version 0.0.5:
  + Use libsecret.
  + Use libnm-gtk.
  + Updated translations.
- Add pkgconfig(libnm-gtk) BuildRequires: new dependency.
- Replace pkgconfig(gnome-keyring-1) BuildRequires with
  pkgconfig(libsecret-1), following upstream.
* Tue Feb 19 2013 zaitor@opensuse.org
- Update to version 0.0.4:
  + Check password write result to avoid warning.
  + Remove unused define.
  + Log connection information at message level.
  + Removed markup from UI file.
  + Add external ui support.
  + Updated translations.
* Thu Sep  6 2012 malcolmlewis@opensuse.org
- Initial build.
